VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Macros
auwrapper.mm File Reference
`#include "auwrapper.h"`
`#include "NSDataIBStream.h"`
`#include "aucocoaview.h"`
`#include "base/source/fdynlib.h"`
`#include "base/source/fstring.h"`
`#include "pluginterfaces/base/ustring.h"`
`#include "pluginterfaces/gui/iplugview.h"`
`#include "pluginterfaces/vst/ivstmidicontrollers.h"`
`#include "pluginterfaces/vst/vstpresetkeys.h"`
`#include "pluginterfaces/vst/vsttypes.h"`
`#include "public.sdk/source/vst/hosting/eventlist.h"`
`#include "public.sdk/source/vst/hosting/hostclasses.h"`
`#include "public.sdk/source/vst/hosting/parameterchanges.h"`
`#include "public.sdk/source/vst/hosting/processdata.h"`
`#include "public.sdk/source/vst/vsteditcontroller.h"`
`#include <AudioToolbox/AudioToolbox.h>`
`#include <dlfcn.h>`
`#include <algorithm>`
`#include <objc/runtime.h>`
`#include "CAXException.h"`

## Macros
#define | SMTG_MAKE_STRING_PRIVATE_DONT_USE(x) #x
#define | SMTG_MAKE_STRING(x) SMTG_MAKE_STRING_PRIVATE_DONT_USE (x)
#define | kCurrentSavedStateVersion 0
#define | PARAM(_typ, _name, _index, _nparams) _typ _name = *(_typ*)&params->params[_nparams - 1 - _index];

## Macro Definition Documentation

#define SMTG_MAKE_STRING_PRIVATE_DONT_USE | ( |  | x | ) | #x

#define SMTG_MAKE_STRING | ( |  | x | ) | SMTG_MAKE_STRING_PRIVATE_DONT_USE (x)

#define kCurrentSavedStateVersion 0

#define PARAM | ( |  | _typ,
|  |  | _name,
|  |  | _index,
|  |  | _nparams
| ) |  | _typ _name = *(_typ*)&params->params[_nparams - 1 - _index];

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.